Subject: [openpgp] ECDH Key-Extraction via Low-Bandwidth Electromagnetic Attacks on PCs

From: ianG <[email-masked]>
Date: Sun, 14 Feb 2016 17:24:36 +0000

http://eprint.iacr.org/2016/129 h/t to zooko

    Cryptology ePrint Archive: Report 2016/129

*ECDH Key-Extraction via Low-Bandwidth Electromagnetic Attacks on PCs*

/Daniel Genkin and Lev Pachmanov and Itamar Pipman and Eran Tromer/

*Abstract:*We present the first physical side-channel attack on elliptic 
curve cryptography running on a PC. The attack targets the ECDH 
public-key encryption algorithm, as implemented in the latest version of 
GnuPG.

By measuring the target's electromagnetic emanations, the attack 
extracts the secret decryption key within seconds, from a target located 
in an adjacent room across a wall. The attack utilizes a single 
carefully chosen ciphertext, and tailored time-frequency signal analysis 
techniques, to achieve full key extraction.